StarObjectTextInternal::Content Struct Reference

Internal: a set of zone. More...

`#include <StarObjectText.hxx>`

## Public Member Functions

| Content ()
| constructor
| ~Content ()
| destructor
bool | send (STOFFListenerPtr &listener, StarState &state, bool isFlyer=false) const
| try to send the data to a listener
void | inventoryPages (StarState &state) const
| try to inventory the different pages

## Public Attributes

librevenge::RVNGString | m_sectionName
| the section name
std::vector< std::shared_ptr< Zone > > | m_zoneList
| the list of text zone

## Detailed Description

Internal: a set of zone.

## Constructor & Destructor Documentation

## Content()

StarObjectTextInternal::Content::Content | ( |  | ) |

inline

constructor

## ~Content()

StarObjectTextInternal::Content::~Content | ( |  | ) |

destructor

## Member Function Documentation

## inventoryPages()

void StarObjectTextInternal::Content::inventoryPages | ( | StarState & | state | ) | const

try to inventory the different pages

## send()

bool StarObjectTextInternal::Content::send | ( | STOFFListenerPtr & | listener,
|  | StarState & | state,
|  | bool | isFlyer = false ) const

try to send the data to a listener

## Member Data Documentation

## m_sectionName

librevenge::RVNGString StarObjectTextInternal::Content::m_sectionName

the section name

Referenced by Content().

## m_zoneList

std::vector<std::shared_ptr<Zone> > StarObjectTextInternal::Content::m_zoneList

the list of text zone

Referenced by Content(), inventoryPages(), and send().

The documentation for this struct was generated from the following files:

- StarObjectText.hxx
- StarObjectText.cxx